dnf -y install \
asciidoc audit-libs-devel automake bc \
binutils-devel bison device-mapper-devel elfutils-devel \
elfutils-libelf-devel expect flex gcc gcc-c++ git \
glib2 glib2-devel hmaccalc keyutils-libs-devel krb5-devel ksh \
libattr-devel libblkid-devel libselinux-devel libtool \
libuuid-devel libyaml-devel lsscsi make ncurses-devel \
net-snmp-devel net-tools newt-devel numactl-devel \
parted patchutils pciutils-devel perl-ExtUtils-Embed \
pesign python-devel redhat-rpm-config rpm-build systemd-devel \
tcl tcl-devel tk tk-devel wget xmlto yum-utils zlib-devel

dnf -y  install automake bc binutils-devel \
bison elfutils-devel elfutils-libelf-devel expect \
flex gcc gcc-c++ git glib2 glib2-devel keyutils-libs-devel \
krb5-devel libattr-devel libblkid-devel libmount-devel libnl3-devel \
libselinux-devel libtool libuuid-devel libyaml-devel kernel-devel \
make ncurses-devel net-tools python3-devel redhat-rpm-config rpm-build \
systemd-devel wget yum-utils zlib-devel

cat >/etc/yum.repos.d/lustre.repo<<\__EOF
[lustre-server]
name=lustre-server
baseurl=https://downloads.whamcloud.com/public/lustre/lustre-2.16.1/el9.4/server
# exclude=*debuginfo*
enabled=0
gpgcheck=0
__EOF

yum -y install \
kernel \
kernel-devel \
kernel-headers \
kernel-abi-stablelists \
kernel-tools \
kernel-tools-libs \
kernel-tools-libs-devel
# note kernel-abi-whitelists now kernel-abi-stablelists
# ok

dnf -y install initscripts
hid=`[ -f /etc/hostid ] && od -An -tx /etc/hostid|sed 's/ //g'`
[ "$hid" = `hostid` ] || genhostid

dnf config-manager --set-enabled highavailability

yum -y --nogpgcheck --enablerepo=lustre-server install \
libzfs5-devel.x86_64 libzfs5.x86_64 \
lustre-zfs-dkms \
lustre-osd-zfs-mount \
lustre \
lustre-resource-agents \
zfs


